Package com.io7m.cardant.protocol.inventory.cb

# Record Class CAI1MetadataValueMatch.TimeWithinRange

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1MetadataValueMatch.TimeWithinRange

Record Components:
  `fieldLower` -
  `fieldUpper` -

All Implemented Interfaces:
  `CAI1MetadataValueMatch`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`

Enclosing interface:
  `CAI1MetadataValueMatch`

public static record CAI1MetadataValueMatch.TimeWithinRange(com.io7m.cedarbridge.runtime.time.CBOffsetDateTime fieldLower, com.io7m.cedarbridge.runtime.time.CBOffsetDateTime fieldUpper) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, CAI1MetadataValueMatch

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.io7m.cardant.protocol.inventory.cb.CAI1MetadataValueMatch

  `CAI1MetadataValueMatch.Anything, CAI1MetadataValueMatch.IntegralWithinRange, CAI1MetadataValueMatch.MonetaryWithCurrency, CAI1MetadataValueMatch.MonetaryWithinRange, CAI1MetadataValueMatch.RealWithinRange, CAI1MetadataValueMatch.TextExact, CAI1MetadataValueMatch.TextSearch, CAI1MetadataValueMatch.TimeWithinRange`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeWithinRange(com.io7m.cedarbridge.runtime.time.CBOffsetDateTime fieldLower, com.io7m.cedarbridge.runtime.time.CBOffsetDateTime fieldUpper)`
  Creates an instance of a `TimeWithinRange` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAI1MetadataValueMatch.TimeWithinRange`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type com.io7m.cardant.protocol.inventory.cb.TimeWithinRange.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.time.CBOffsetDateTime`
  `fieldLower()`
  Returns the value of the `fieldLower` record component.
  `com.io7m.cedarbridge.runtime.time.CBOffsetDateTime`
  `fieldUpper()`
  Returns the value of the `fieldUpper` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1MetadataValueMatch.TimeWithinRange $x)`
  Serialize a value of type com.io7m.cardant.protocol.inventory.cb.TimeWithinRange.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TimeWithinRange

    public TimeWithinRange(com.io7m.cedarbridge.runtime.time.CBOffsetDateTime fieldLower, com.io7m.cedarbridge.runtime.time.CBOffsetDateTime fieldUpper)
    Creates an instance of a `TimeWithinRange` record class.
    Parameters:
      `fieldLower` - the value for the `fieldLower` record component
      `fieldUpper` - the value for the `fieldUpper` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1MetadataValueMatch.TimeWithinRange $x) throws IOException
    Serialize a value of type com.io7m.cardant.protocol.inventory.cb.TimeWithinRange.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static CAI1MetadataValueMatch.TimeWithinRange deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type com.io7m.cardant.protocol.inventory.cb.TimeWithinRange.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type com.io7m.cardant.protocol.inventory.cb.TimeWithinRange.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldLower

    public com.io7m.cedarbridge.runtime.time.CBOffsetDateTime fieldLower()
    Returns the value of the `fieldLower` record component.
    Returns:
      the value of the `fieldLower` record component

  - ### fieldUpper

    public com.io7m.cedarbridge.runtime.time.CBOffsetDateTime fieldUpper()
    Returns the value of the `fieldUpper` record component.
    Returns:
      the value of the `fieldUpper` record component